import { Reducer } from 'react';
import { Actions } from './constants';
import { PositionType } from './types';
interface HistoryRecordType {
    text: string;
    position: PositionType;
}
interface StateType {
    past: HistoryRecordType[];
    present: HistoryRecordType;
    future: HistoryRecordType[];
}
declare type ActionType = {
    type: Actions.UNDO | Actions.REDO;
} | {
    type: Actions.RECORD;
    payload: HistoryRecordType;
};
declare const reducer: Reducer<StateType, ActionType>;
declare const initialState: StateType;
export { initialState };
export default reducer;
